;; -*- lexical-binding: t; -*-
;;; custom-early-init --- Provide early init vars

(defvar file-name-handler-alist-old file-name-handler-alist)
(defvar personal-keybindings nil
  "List of bindings performed by `bind-key'.
Elements have the form ((KEY . [MAP]) CMD ORIGINAL-CMD)")

(setq file-name-handler-alist nil
      message-log-max 16384
      gc-cons-threshold 402653184
      gc-cons-percentage 0.6
      auto-window-vscroll nil)

(setq safe-local-variable-values (quote (
                                         (eval org-content 2)
                                         (whitespace-line-column . 120)
                                         )))

(setq custom-file (concat user-emacs-directory "lisp/unused.el"))

(add-hook 'after-init-hook
          `(lambda ()
             (setq file-name-handler-alist file-name-handler-alist-old
                   gc-cons-threshold 800000
                   gc-cons-percentage 0.1)
             (garbage-collect)) t)

(provide 'custom-early-init)
